Page MenuHomePhabricator

TMH considers original video asset as video/webm; codecs="vorbis, vp8", but refuses to play because it only supports video/webm; codecs="vp8, vorbis"
Closed, ResolvedPublic

Description

Consider https://commons.wikimedia.org/wiki/File:Diamond_Trust_of_London_-_Kickstarter.webm

There is the original file + a low quality ogg transcode. The original file should be selected on firefox/chrome as best transcode (And on android it should be the only choice).

However, the original version is detected as having mime video/webm; codecs="vorbis, vp8". TMH does a string comparision in mw.MediaPlayer.js (mw.MediaPlayer.prototype.supportsMimeType) to video/webm; codecs="vp8, vorbis" and determines they are not equal, and refuses to select the original asset to play, resulting in the ogg file being used on firefox, and the not supported msg on android native browser.

Original report https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=151985029#Video_quality_fixed_incorrectly

Event Timeline

Bawolff updated the task description. (Show Details)
Bawolff raised the priority of this task from to Needs Triage.
Bawolff added subscribers: Bawolff, Gilles.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 7:10 PM
brion added a subscriber: brion.Mar 3 2015, 8:21 PM

Change 194918 had a related patch set uploaded (by Brian Wolff):
Make mime type check more robust

https://gerrit.wikimedia.org/r/194918

TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Mar 21 2015, 1:42 PM

Change 231309 had a related patch set uploaded (by Brion VIBBER):
Fix playback of WebM source files

https://gerrit.wikimedia.org/r/231309

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 13 2015, 5:11 PM

Change 231309 merged by jenkins-bot:
Fix playback of WebM source files

https://gerrit.wikimedia.org/r/231309

brion closed this task as Resolved.Aug 24 2015, 5:31 PM
brion claimed this task.

This change went live; confirmed fixed on original reported file.

Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 8:16 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.

Change 244826 had a related patch set uploaded (by Paladox):
Fix playback of WebM source files

https://gerrit.wikimedia.org/r/244826

Change 244826 merged by jenkins-bot:
Fix playback of WebM source files

https://gerrit.wikimedia.org/r/244826

TheDJ moved this task from Doing to Done on the TimedMediaHandler board.Oct 20 2015, 11:52 AM

Change 194918 abandoned by Brian Wolff:
Make mime type check more robust

Reason:
No longer caring about this patch

https://gerrit.wikimedia.org/r/194918